> ## Documentation Index
> Fetch the complete documentation index at: https://agentstack.beeai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Text Extraction



## OpenAPI

````yaml /development/api-reference/openapi.json get /api/v1/files/{file_id}/extraction
openapi: 3.1.0
info:
  title: Agentstack server
  version: 0.6.3
servers: []
security: []
paths:
  /api/v1/files/{file_id}/extraction:
    get:
      tags:
        - files
      summary: Get Text Extraction
      operationId: get_text_extraction_api_v1_files__file_id__extraction_get
      parameters:
        - name: file_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: File Id
        - name: context_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Context Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/agentstack_server__api__schema__common__EntityModel____class_getitem_____locals___ModelOutput__11
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    agentstack_server__api__schema__common__EntityModel____class_getitem_____locals___ModelOutput__11:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        file_id:
          type: string
          format: uuid
          title: File Id
        extracted_files:
          items:
            $ref: '#/components/schemas/ExtractedFileInfo'
          type: array
          title: Extracted Files
        status:
          $ref: '#/components/schemas/ExtractionStatus'
          default: pending
        job_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Job Id
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        extraction_metadata:
          anyOf:
            - $ref: '#/components/schemas/ExtractionMetadata'
            - type: 'null'
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        finished_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Finished At
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - file_id
      title: TextExtractionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ExtractedFileInfo:
      properties:
        file_id:
          type: string
          format: uuid
          title: File Id
        format:
          anyOf:
            - $ref: '#/components/schemas/ExtractionFormat'
            - type: 'null'
      type: object
      required:
        - file_id
      title: ExtractedFileInfo
      description: Information about an extracted file.
    ExtractionStatus:
      type: string
      enum:
        - pending
        - in_progress
        - completed
        - failed
        - cancelled
      title: ExtractionStatus
    ExtractionMetadata:
      properties:
        backend:
          anyOf:
            - type: string
            - type: 'null'
          title: Backend
        settings:
          anyOf:
            - $ref: '#/components/schemas/TextExtractionSettings'
            - type: 'null'
      additionalProperties: true
      type: object
      title: ExtractionMetadata
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ExtractionFormat:
      type: string
      enum:
        - markdown
        - vendor_specific_json
      title: ExtractionFormat
    TextExtractionSettings:
      properties:
        formats:
          items:
            $ref: '#/components/schemas/ExtractionFormat'
          type: array
          title: Formats
      type: object
      title: TextExtractionSettings
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
    HTTPBearer:
      type: http
      scheme: bearer

````